/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumRawschema implements EnumType {

    MES0_RAW("MES0_RAW"),

    SHIP0_RAW("SHIP0_RAW"),

    SHIP1_RAW("SHIP1_RAW"),

    SHIP2_RAW("SHIP2_RAW"),

    SHIP3_RAW("SHIP3_RAW"),

    TREND0_RAW("TREND0_RAW"),

    TREND1_RAW("TREND1_RAW"),

    TEST0_RAW("TEST0_RAW"),

    SHIP4_RAW("SHIP4_RAW"),

    NEXT0_RAW("NEXT0_RAW"),

    trend1post_sd_raw("trend1post_sd_raw"),

    TREND1POST_SD_RAW("TREND1POST_SD_RAW"),

    MVFIT0_RAW("MVFIT0_RAW");

    private final String literal;

    private EnumRawschema(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_rawschema";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumRawschema lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumRawschema.class, literal);
    }
}
